org.jboss.jca.core.recovery

## Class ConfigurableRecoveryPlugin

- java.lang.Object
- - org.jboss.jca.core.recovery.ConfigurableRecoveryPlugin

- All Implemented Interfaces:
    org.jboss.jca.core.spi.recovery.RecoveryPlugin

      public class ConfigurableRecoveryPlugin
      extends java.lang.Object
      implements org.jboss.jca.core.spi.recovery.RecoveryPlugin

  Configurable implementation of a recovery plugin.
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurableRecoveryPlugin()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(java.lang.Object c)` Perform a close operation on the passed connection object instance - like a CCI Connection instance.
    `boolean` | `isValid(java.lang.Object c)` Check if the passed connection object instance is still valid, and hence the underlying physical connection
    `void` | `setCloseMethod(java.lang.String v)` Set close method name
    `void` | `setEnableClose(boolean v)` Enable close method call
    `void` | `setEnableIsValid(boolean v)` Enable isValid method call
    `void` | `setIsValidOverride(boolean v)` Override value for isValid method call if not enabled
    `void` | `setIsValidValue(int v)` Set isValid method parameter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurableRecoveryPlugin

          public ConfigurableRecoveryPlugin()

      Constructor

  - ### Method Detail

    - #### setEnableIsValid

          public void setEnableIsValid(boolean v)

      Enable isValid method call
      Parameters:
        `v` - The value

    - #### setIsValidValue

          public void setIsValidValue(int v)

      Set isValid method parameter
      Parameters:
        `v` - The value

    - #### setIsValidOverride

          public void setIsValidOverride(boolean v)

      Override value for isValid method call if not enabled
      Parameters:
        `v` - The value

    - #### setEnableClose

          public void setEnableClose(boolean v)

      Enable close method call
      Parameters:
        `v` - The value

    - #### setCloseMethod

          public void setCloseMethod(java.lang.String v)

      Set close method name
      Parameters:
        `v` - The value

    - #### isValid

          public boolean isValid(java.lang.Object c)
                          throws javax.resource.ResourceException

      Check if the passed connection object instance is still valid, and hence the underlying physical connection
      Specified by:
        `isValid` in interface `org.jboss.jca.core.spi.recovery.RecoveryPlugin`
      Parameters:
        `c` - The connection instance
      Returns:
        `True` if the connection is still valid, otherwise `false`
      Throws:
        `javax.resource.ResourceException` - Thrown in case of an error

    - #### close

          public void close(java.lang.Object c)
                     throws javax.resource.ResourceException

      Perform a close operation on the passed connection object instance - like a CCI Connection instance. Any error during this operation should result in an exception, which will force a close of the physical connection to the Enterprise Information System
      Specified by:
        `close` in interface `org.jboss.jca.core.spi.recovery.RecoveryPlugin`
      Parameters:
        `c` - The connection instance
      Throws:
        `javax.resource.ResourceException` - Thrown in case of an error
      See Also:
        `Connection`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)